Subject: [bug#45860] [PATCH v2 0/5] services: postgresql: Improve service.

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 18 Jan 2021 11:16:23 +0100

Hello,

Here's a v2 of the patchset. Following Chris advises, I did not merge the two
configuration records. I also break the patch into four smaller patches.

I also added a 'postgresql-role-service-type' that allows to create database
roles in a declarative fashion.

Thanks,

Mathieu

Mathieu Othacehe (5):
  services: postgresql: Use Guile datatypes.
  services: postgresql: Add socket directory support.
  services: postgresql: Add log directory support.
  services: postgresql: Wrap long lines.
  services: postgresql: Add postgresql-role-service-type.

 doc/guix.texi              |  90 +++++++++++++-
 gnu/services/databases.scm | 233 +++++++++++++++++++++++++++++--------
 gnu/tests/databases.scm    |  72 +++++++++++-
 3 files changed, 342 insertions(+), 53 deletions(-)

-- 
2.29.2